Subject: bug#2022: 23.0.60; Rmail buffer marked modified after saving it

From: Richard M Stallman <[email-masked]>
Date: Tue, 27 Jan 2009 01:11:35 -0500

Rmail was including the Resent-To and Resent-CC addresses in the
    reply. It was established on emacs-devel in June 2008 that this is
    incorrect according to RFC 2822 (filed as bug#512).

This conclusion seems really strange.  If you received a message that
was resent to you and others, shouldn't they be in the CC for your response?

I searched my mail from June for bug.512 and got no matches.
Can you send me whatever message stated the reasons for this conclusion?